Package org.apache.lucene.analysis.ko.tokenattributes

# Class PartOfSpeechAttributeImpl

java.lang.Object
org.apache.lucene.util.AttributeImpl
org.apache.lucene.analysis.ko.tokenattributes.PartOfSpeechAttributeImpl

All Implemented Interfaces:
  `Cloneable`, `PartOfSpeechAttribute`, `Attribute`

public class PartOfSpeechAttributeImpl extends AttributeImpl implements PartOfSpeechAttribute
Part of Speech attributes for Korean.

WARNING: This API is experimental and might change in incompatible ways in the next release.

## Constructor Summary

Constructors
Constructor
Description
`PartOfSpeechAttributeImpl()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`void`
`copyTo(AttributeImpl target)`
`POS.Tag`
`getLeftPOS()`
Get the left part of speech of the token.
`KoMorphData.Morpheme[]`
`getMorphemes()`
Get the `KoMorphData.Morpheme` decomposition of the token.
`POS.Type`
`getPOSType()`
Get the `POS.Type` of the token.
`POS.Tag`
`getRightPOS()`
Get the right part of speech of the token.
`void`
`reflectWith(AttributeReflector reflector)`
`void`
`setToken(Token token)`
Set the current token.

### Methods inherited from class org.apache.lucene.util.AttributeImpl

`clone, end, reflectAsString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PartOfSpeechAttributeImpl

public PartOfSpeechAttributeImpl()

## Method Details

### getPOSType

public POS.Type getPOSType()
Description copied from interface: `PartOfSpeechAttribute`
Get the `POS.Type` of the token.

Specified by:
  `getPOSType` in interface `PartOfSpeechAttribute`

### getLeftPOS

public POS.Tag getLeftPOS()
Description copied from interface: `PartOfSpeechAttribute`
Get the left part of speech of the token.

Specified by:
  `getLeftPOS` in interface `PartOfSpeechAttribute`

### getRightPOS

public POS.Tag getRightPOS()
Description copied from interface: `PartOfSpeechAttribute`
Get the right part of speech of the token.

Specified by:
  `getRightPOS` in interface `PartOfSpeechAttribute`

### getMorphemes

public KoMorphData.Morpheme[] getMorphemes()
Description copied from interface: `PartOfSpeechAttribute`
Get the `KoMorphData.Morpheme` decomposition of the token.

Specified by:
  `getMorphemes` in interface `PartOfSpeechAttribute`

### setToken

public void setToken(Token token)
Description copied from interface: `PartOfSpeechAttribute`
Set the current token.

Specified by:
  `setToken` in interface `PartOfSpeechAttribute`

### clear

public void clear()

Specified by:
  `clear` in class `AttributeImpl`

### reflectWith

public void reflectWith(AttributeReflector reflector)

Specified by:
  `reflectWith` in class `AttributeImpl`

### copyTo

public void copyTo(AttributeImpl target)

Specified by:
  `copyTo` in class `AttributeImpl`